Package org.gradle.api.artifacts

# Interface ConfigurablePublishArtifact

All Superinterfaces:
  `Buildable`, `PublishArtifact`

public interface ConfigurablePublishArtifact extends PublishArtifact
A `PublishArtifact` whose properties can be modified.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConfigurablePublishArtifact`
  `builtBy(Object... tasks)`
  Registers some tasks which build this artifact.
  `void`
  `setClassifier(@Nullable String classifier)`
  Sets the classifier of this artifact.
  `void`
  `setExtension(String extension)`
  Sets the extension of this artifact.
  `void`
  `setName(String name)`
  Sets the name of this artifact.
  `void`
  `setType(String type)`
  Sets the type of this artifact.

  ### Methods inherited from interface org.gradle.api.Buildable

  `getBuildDependencies`

  ### Methods inherited from interface org.gradle.api.artifacts.PublishArtifact

  `getClassifier, getDate, getExtension, getFile, getName, getType`

- ## Method Details

  - ### setName

    void setName(String name)
    Sets the name of this artifact.
    Parameters:
      `name` - The name. Should not be null.

  - ### setExtension

    void setExtension(String extension)
    Sets the extension of this artifact.
    Parameters:
      `extension` - The extension. Should not be null.

  - ### setType

    void setType(String type)
    Sets the type of this artifact.
    Parameters:
      `type` - The type. Should not be null.

  - ### setClassifier

    void setClassifier(@Nullable String classifier)
    Sets the classifier of this artifact.
    Parameters:
      `classifier` - The classifier. May be null.

  - ### builtBy

    ConfigurablePublishArtifact builtBy(Object... tasks)
    Registers some tasks which build this artifact.
    Parameters:
      `tasks` - The tasks. These are evaluated as per `Task.dependsOn(Object...)`.
    Returns:
      this